import { SeriesViewerDescription } from "./SeriesViewerDescription";
import { AxisDescription } from "./AxisDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class DataChartDescription extends SeriesViewerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private d7;
    get isSquare(): boolean;
    set isSquare(a: boolean);
    private ej;
    get windowScaleHorizontal(): number;
    set windowScaleHorizontal(a: number);
    private ek;
    get windowScaleVertical(): number;
    set windowScaleVertical(a: number);
    private ed;
    get actualWindowScaleHorizontal(): number;
    set actualWindowScaleHorizontal(a: number);
    private ee;
    get actualWindowScaleVertical(): number;
    set actualWindowScaleVertical(a: number);
    private d6;
    get isHorizontalZoomEnabled(): boolean;
    set isHorizontalZoomEnabled(a: boolean);
    private d8;
    get isVerticalZoomEnabled(): boolean;
    set isVerticalZoomEnabled(a: boolean);
    private ew;
    get gridMode(): string;
    set gridMode(a: string);
    private d5;
    get alignsGridLinesToPixels(): boolean;
    set alignsGridLinesToPixels(a: boolean);
    private dw;
    get brushes(): string[];
    set brushes(a: string[]);
    private dx;
    get markerBrushes(): string[];
    set markerBrushes(a: string[]);
    private dz;
    get outlines(): string[];
    set outlines(a: string[]);
    private dy;
    get markerOutlines(): string[];
    set markerOutlines(a: string[]);
    private ev;
    get defaultAxisStroke(): string;
    set defaultAxisStroke(a: string);
    private et;
    get defaultAxisMajorStroke(): string;
    set defaultAxisMajorStroke(a: string);
    private eu;
    get defaultAxisMinorStroke(): string;
    set defaultAxisMinorStroke(a: string);
    private eg;
    get plotAreaMarginLeft(): number;
    set plotAreaMarginLeft(a: number);
    private ei;
    get plotAreaMarginTop(): number;
    set plotAreaMarginTop(a: number);
    private eh;
    get plotAreaMarginRight(): number;
    set plotAreaMarginRight(a: number);
    private ef;
    get plotAreaMarginBottom(): number;
    set plotAreaMarginBottom(a: number);
    private dv;
    get axes(): AxisDescription[];
    set axes(a: AxisDescription[]);
    private ey;
    get width(): string;
    set width(a: string);
    private ex;
    get height(): string;
    set height(a: string);
}
